Summary: An X Window System-based calendar program.
Name: ical 
Version: 2.2
Release: 13mdk
Source0: http://www.research.digial.com/SRC/personal/Sanjay_Ghemawat/ical/icalbins/ical-%{PACKAGE_VERSION}.tar.bz2
Source1: ical.menu.bz2
Patch0: ical-2.2-newtcl.patch.bz2
Patch1: ical-gcc2.95.patch.bz2
Url: http://www.research.digital.com/SRC/personal/Sanjay_Ghemawat/ical/home.html
Copyright: distributable
Group: Toys
BuildRoot: /var/tmp/ical-root

%description
Ical is an X Window System based calendar program.  Ical will easily
create/edit/delete entries, create repeating entries, remind you about
upcoming appointments, print and list item occurrences, and allow
shared calendars between different users.

Install ical if you need a calendar program to track your schedule.  You'll
need to have the X Window System installed in order to use ical.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .gcc

%build
autoconf
./configure --prefix=/usr
make OPTF="$RPM_OPT_FLAGS -DHAVE_STRNCASECMP_PROTO" CXXFLAGS="$RPM_OPT_FLAGS -DHAVE_STRNCASECMP_PROTO"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib,man/man1}
make prefix=$RPM_BUILD_ROOT/usr install

#install menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/lib/menu/ical

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/ical.html doc/ical.doc 
%doc doc/interface.html doc/interface.doc
/usr/bin/ical-%{PACKAGE_VERSION}
/usr/bin/ical
/usr/man/man1/ical.1*
/usr/lib/ical
/usr/lib/menu/ical

%changelog
* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 2.2-13mdk
- Specs fix
- Change Group
- Add menu and remove wmconfig

* Tue Nov  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix compilations with gcc2.95.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- fix glibc21 compilation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- patch to build against the latest tcltk

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 30 1997 Otto Hammersmith <otto@redhat.com>
- fixed wmconfig entry

* Thu Oct 23 1997 Otto Hammersmith <otto@redhat.com>
- replaced references to the version number with %{PACKAGE_VERSION}

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- updated to version 2.2, which is supposed to work with Tcl/Tk 8.0
- added wmconfig entry

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- Update version

* Tue Sep 30 1997 Erik Troan <ewt@redhat.com>
- build against tcl/tk 8.0

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
